package rjw.dc.console.components;

import java.awt.Toolkit;
import javax.swing.JTextArea;
import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.Document;
import javax.swing.text.PlainDocument;

public class LongTextField extends JTextArea {

    int MAX_TEXT_LENGTH = 0;

    protected class ShortStringDocument extends PlainDocument {

        protected ShortStringDocument() {
        }

        public void insertString(int i, String s, AttributeSet attributeset)
            throws BadLocationException {

            if (i + 1 > MAX_TEXT_LENGTH) {
                toolkit.beep();
            } else {
                super.insertString(i, new String(s), attributeset);
            }
        }
    }

    private Toolkit toolkit;

    public LongTextField(int maxTextLength) {
        super();
        MAX_TEXT_LENGTH = maxTextLength;
        toolkit = Toolkit.getDefaultToolkit();
    }

    protected Document createDefaultModel() {
        return new ShortStringDocument();
    }

    public Object getValue() {
        return getText();
    }

    public void setValue(String s) {
        setText(s);
    }

    public void setValue(Object o) {
        setText(o.toString());
    }    
}
