/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 Robert-Jan van der Waals                    *
 *                             rwaals@anytimenow.com                          *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package rjw.dc.core;

/**
 * Holder of static data
 *
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version DC0.50
 */
public final class Repository {

    public static final class settings { 
        public static final String stCheckRequiredFields = "Check_Required_Fields";        
        public static final String stCheckUniqueness = "Check_for_uniqueness";        
        public static final String stColor = "Background_Color";
        public static final String stDatabaseDriver = "Database_Driver";
        public static final String stConnectionString = "Connection_String";
        public static final String stLoadDemoData = "Load_Demo_Data";
        public static final String stMaximumSearchRes = "Maximum_search_result";
        public static final String stMP3ExportFile = "MP3_Export_File";   
        public static final String stMP3ImportFile = "MP3_Import_File";   
        public static final String stSoftExportFile = "Software_Export_File";   
        public static final String stSoftImportFile = "Software_Import_File";   
        public static final String stMovieExportFile = "Movie_Export_File";   
        public static final String stMovieImportFile = "Movie_Import_File";   
        public static final String stModule = "Default_module";   
        public static final String stODB = "Online_Database";   
        public static final String stODBUserName = "Online_Database_Username";         
        public static final String stODBPassword = "Online_Database_Password";         
        public static final String stHTTPUserAgent = "HTTP_user_agent";
        public static final String stProxyServerName = "Proxy_Server_name";
        public static final String stProxyServerPort = "Proxy_Server_port";
        public static final String stSettingsViewSize = "Settings_View_Size";
        public static final String stImdbSearchFormViewSize = "IMDB_Search_Form_View_Size";
        public static final String stMainViewSize = "Main_View_Size";
        public static final String stRecordFormViewSize = "Record_Form_Size";        
        public static final String stMP3OrganizerViewSize = "MP3_Organizer_View_Size";
        public static final String stMovieRequiredFields = "Movie_Required_Fields";
        public static final String stMp3RequiredFields = "Mp3_Required_Fields";
        public static final String stSoftwareRequiredFields = "Software_Required_Fields";
        public static final String stSoftwareCatRequiredFields = "Software_Catagory_Required_Fields";
        public static final String stIMDBOverwriteExistingValues = "IMDB_overwrite_existing_Values";
    }

    public static final class collections {
        public static final String[] colMovieCatagories = {
            "Action", "Animation", "Comedy", "Crime", "Documentary",
            "Drama", "Family", "Fantasy", "Film-Noir", "Horror", "Musical",
            "Mystery", "Romance", "Sci-Fi", "Short", "Thriller", "War",
            "Western"};

        public static final String[] colMP3Genres = {"A Capela", "Acid Jazz"
            , "Acid Punk", "Acid", "Acoustic", "Alternative", "AlternRock"
            , "Ambient", "Anime", "Avantgarde", "Ballad", "Bass", "Beat"
            , "Bebob", "Big Band", "Black Metal", "Bluegrass", "Blues", "Booty Brass"
            , "BritPop", "Cabaret", "Celtic", "Chamber Music", "Chanson"
            , "Chorus", "Christian Gangsta Rap", "Christian Rap", "Christian Rock"
            , "Classic Rock", "Classical", "Club", "Club-House", "Comedy", "Contemporary Christian"
            , "Country", "Crossover", "Cult", "Dance Hall", "Dance", "Darkwave"
            , "Death Metal", "Disco", "Dream", "Drum & Bass", "Drum Solo", "Duet"
            , "Easy Listening", "Electronic", "Ethnic", "Eurodance", "Euro-House"
            , "Euro-Techno", "Fast Fusion", "Folk", "Folklore", "Folk-Rock"
            , "Freestyle", "Funk", "Fusion", "Game", "Gangsta", "Goa", "Gospel"
            , "Gothic Rock", "Gothic", "Grunge", "Hard Rock", "Hardcore", "Heavy Metal"
            , "Hip-Hop", "House", "Humour", "Indie", "Industrial", "Instrumental Pop"
            , "Instrumental Rock", "Instrumental", "Jazz", "Jazz+Funk", "JPop"
            , "Jungle", "Latin", "Lo-Fi", "Meditative", "Merengue", "Metal", "Musical"
            , "National Folk", "Native American", "Negerpunk", "New Age", "New Wave"
            , "Noise", "Oldies", "Opera", "Other", "Polka", "Polsk Punk", "Pop"
            , "Pop/Funk", "Pop-Folk", "Porn Groove", "Power Ballad", "Pranks"
            , "Primus", "Progressive Rock", "Psychadelic", "Psychedelic Rock"
            , "Punk Rock", "Punk", "R&B", "Rap", "Rave", "Reggae", "Retro"
            , "Revival", "Rhythmic Soul", "Rock & Roll", "Rock", "Salsa", "Samba"
            , "Satire", "Showtunes", "Ska", "Slow Jam", "Slow Rock", "Sonata"
            , "Soul", "Sound Clip", "Soundtrack", "Southern Rock", "Space"
            , "Speech", "Swing", "Symphonic Rock", "Symphony", "SynthPop", "Tango"
            , "Techno", "Techno-Industrial", "Terror", "Thrash Metal", "Top 40"
            , "Trailer", "Trance", "Tribal", "Trip-Hop", "Vocal"};
        
        public static final String[] colMovieCodecs = {
            "divx v3 (low motion)",
            "divx v3 (fast motion)",
            "divx v4 (opendivx)",
            "divx v5",
            "xvid",
            "realmagic mpeg4",
            "divx-alike",
            "divx-alike",
            "ms mpeg4 v1",
            "ms mpeg4 v2",
            "ms mpeg4 v3"};
    }

    public static final class datatypes {
        public static final int _STRING = 0;
        public static final int _INTEGER = 1;
        public static final int _COLOR = 2;
        public static final int _BOOLEAN = 3;
        public static final int _STRINGARRAY = 4;
        public static final int _DIMENSION = 5;
        public static final int _INTEGERARRAY = 6;
    }


    public static final class operators {
        public static final String opIIFsep = "<=>";
        public static final String opTab = "   ";
        public static final String opSeparator = " -- ";
        public static final String opImpSeperator = ">";
        public static final String opImpSeperator2 = "/";
        public static final String opImpLocBegin = "[";
        public static final String opImpLocEnd = "]";
    }

    public static final class files {
        public static final String flLogFile = "DataCrow.log";
        public static final String flIIFExtension = ".iif";
        public static final String flQueryFile = "DataCrowQueries.txt";
        public static final String flCommentFile = "DataCrowComment.txt";
        public static final String flIniFile = "DataCrow.ini";
        public static final String flImportTemp = "SkippedRecords.log";
        public static final String flDriver1 = "sun.jdbc.odbc.JdbcOdbcDriver";
        public static final String flDriver2 = "com.ms.jdbc.odbc.JdbcOdbcDriver";
    }

    public static final class dataBase {
        public static final String serverString = "jdbc:hsqldb:hsql:";
        public static final String localString = "jdbc:hsqldb:";

        public static final int[] softwareCatValueTypes =   {datatypes._STRING,  // ID
                                                             datatypes._STRING,  // NAME
                                                             datatypes._STRING}; // KEEP
        public static final int[] softwareCatFieldLengths = {20,  // ID
                                                             255, // NAME
                                                             4};  // KEEP

        public static final int[] mp3ValueTypes =   {datatypes._STRING, // ID
                                                     datatypes._STRING, // FILENAME
                                                     datatypes._STRING, // TITLE
                                                     datatypes._STRING, // ARTIST
                                                     datatypes._STRING, // ALBUM
                                                     datatypes._STRING, // YEAR
                                                     datatypes._STRING, // GENRE
                                                     datatypes._INTEGER,// LENGTH
                                                     datatypes._INTEGER,// QUALITY
                                                     datatypes._STRING, // LOCATION
                                                     datatypes._STRING};// KEEP
        public static final int[] mp3FieldLengths = {20,  // ID
                                                     255, // FILENAME
                                                     255, // TITLE
                                                     255, // ARTIST
                                                     255, // ALBUM
                                                     4,   // YEAR
                                                     20,  // GENRE
                                                     20,  // LENGTH
                                                     10,  // QUALITY
                                                     10,  // LOCATION
                                                     4};  // KEEP
                                                   
        public static final int[] movieValueTypes =   {datatypes._STRING, //ID
                                                       datatypes._STRING, // TITLE
                                                       datatypes._STRING, // DESCRIPTION
                                                       datatypes._STRING, // WEBPAGE
                                                       datatypes._STRING, // GENRE
                                                       datatypes._STRING, // ACTORS
                                                       datatypes._STRING, // DIRECTOR
                                                       datatypes._STRING, // COUNTRY
                                                       datatypes._STRING, // YEAR
                                                       datatypes._INTEGER,// PLAYLENGTH
                                                       datatypes._STRING, // FILENAME
                                                       datatypes._STRING, // LOCATION 
                                                       datatypes._STRING};// KEEP
        public static final int[] movieFieldLengths = {10,    // ID
                                                       255,   // TITLE
                                                       4000,  // DESCRIPTION
                                                       255,   // WEBPAGE
                                                       255,   // GENRE
                                                       255,   // ACTORS
                                                       255,   // DIRECTOR
                                                       255,   // COUNTRY
                                                       4,     // YEAR
                                                       10,    // PLAYLENGTH
                                                       255,   // FILENAME
                                                       10,    // LOCATION
                                                       4};    // KEEP

        public static final int[] softwareValueTypes = {  datatypes._STRING, // ID
                                                          datatypes._STRING, // NAME
                                                          datatypes._STRING, // DESCRIPTION
                                                          datatypes._STRING, // FILENAME
                                                          datatypes._STRING, // SOFTWARETYPE
                                                          datatypes._STRING, // MULTIPLAYER
                                                          datatypes._STRING, // LOCATION
                                                          datatypes._STRING};// KEEP
        public static final int[] softwareFieldLengths = {20,    // ID
                                                          255,   // NAME
                                                          4000,  // DESCRIPTION
                                                          255,   // FILENAME
                                                          20,    // SOFTWARETYPE
                                                          4,     // MULTIPLAYER
                                                          10,    // LOCATION
                                                          4};    // KEEP

        // DATABASE SEPCIFICS
        public static final String dBVersion = "0.50 beta";
        public static final String dBEmptyValue = "Null";
        
        // THE MOVIE TABLE
        public static final String dBMovieTableName = " Movie ";
        public static final String dBMovieColPrimary = "ID";
        public static final String dBMovieColTitle = "Title";
        public static final String dBMovieColDesc = "Description";
        public static final String dBMovieColWebpage = "Webpage";
        public static final String dBMovieColGenre = "Genre";
        public static final String dBMovieColActors = "Actors";
        public static final String dBMovieColDirector = "Director";
        public static final String dBMovieColCountry = "Country";
        public static final String dBMovieColYear = "Year";
        public static final String dBMovieColPlayLength = "PlayLength";
        public static final String dBMovieColFileName = "Filename";
        public static final String dBMovieColLocation = "Location";
        public static final String dBMovieColKeep = "Keep";
        
        // THE MP3 TABLE
        public static final String dBMP3TableName = " Mp3 ";
        public static final String dBMP3ColPrimary = "ID";
        public static final String dBMP3ColFileName = "Filename";
        public static final String dBMP3ColTitle = "Title";
        public static final String dBMP3ColArtist = "Artist";
        public static final String dBMP3ColAlbum = "Album";
        public static final String dBMP3ColYear = "Year";
        public static final String dBMP3ColGenre = "Genre";
        public static final String dBMP3ColLength = "Length";
        public static final String dBMP3ColQuality = "Quality";
        public static final String dBMP3ColLocation = "Location";
        public static final String dBMP3ColDispose = "Keep";
        
        // THE SOFTWARE CATAGORY TABLE
        public static final String dBCatTableName = " Softwaretype ";
        public static final String dBCatColID = "ID";
        public static final String dBCatColName = "Name";
        public static final String dBCatColDisp = "Keep";
        
        // THE SOFTWARE TABLE
        public static final String dBSoftTableName = " Software ";
        public static final String dBSoftColPrimary = "ID";
        public static final String dBSoftColName = "Name";
        public static final String dBSoftColFileName = "Filename";
        public static final String dBSoftColType = "Type";
        public static final String dBSoftColMulti = "Multiplayer";
        public static final String dBSoftColDesc = "Description";
        public static final String dBSoftColLoc = "Location";
        public static final String dBSoftColDispose = "Keep";
        
        public static final String[] dbCatColArrayPK = {
            dBCatColID,
            dBCatColName,
            dBCatColDisp};
        
        
        public static final String[] dbSoftColArrayPK = {
            dBSoftColPrimary,
            dBSoftColName,
            dBSoftColDesc,
            dBSoftColFileName,
            dBSoftColType,
            dBSoftColMulti,
            dBSoftColLoc,
            dBSoftColDispose};
        
        public static final String[] dbMP3ColArrayPK = {
            dBMP3ColPrimary,
            dBMP3ColFileName,
            dBMP3ColTitle,
            dBMP3ColArtist,
            dBMP3ColAlbum,
            dBMP3ColYear,
            dBMP3ColGenre,
            dBMP3ColLength,
            dBMP3ColQuality,
            dBMP3ColLocation,
            dBMP3ColDispose};
        
        public static final String[] dbMovieColArrayPK = {
            dBMovieColPrimary,
            dBMovieColTitle,
            dBMovieColDesc,
            dBMovieColWebpage,
            dBMovieColGenre,
            dBMovieColActors,
            dBMovieColDirector,
            dBMovieColCountry,
            dBMovieColYear,
            dBMovieColPlayLength,
            dBMovieColFileName,
            dBMovieColLocation,
            dBMovieColKeep};
        
        public static final String[] dbCatColArray = {
            dBCatColName,
            dBCatColDisp};
        
        public static final String[] dbSoftColArray = {
            dBSoftColName,
            dBSoftColDesc,
            dBSoftColFileName,
            dBSoftColType,
            dBSoftColMulti,
            dBSoftColLoc,
            dBSoftColDispose};
        
        public static final String[] dbMP3ColArray = {
            dBMP3ColFileName,
            dBMP3ColTitle,
            dBMP3ColArtist,
            dBMP3ColAlbum,
            dBMP3ColYear,
            dBMP3ColGenre,
            dBMP3ColLength,
            dBMP3ColQuality,
            dBMP3ColLocation,
            dBMP3ColDispose};
        
        public static final String[] dbMovieColArray = {
            dBMovieColTitle,
            dBMovieColDesc,
            dBMovieColWebpage,
            dBMovieColGenre,
            dBMovieColActors,
            dBMovieColDirector,
            dBMovieColCountry,
            dBMovieColYear,
            dBMovieColPlayLength,
            dBMovieColFileName,
            dBMovieColLocation,
            dBMovieColKeep};
        
        
        // SOFTWARE CATAGORY TABLE TYPES
        public static final String dBCatColIDTp = " varchar(" + softwareCatFieldLengths[0] + ")";
        public static final String dBCatColNameTp = " varchar(" + softwareCatFieldLengths[1] + ")";
        public static final String dBCatColDispTp = " varchar(" + softwareCatFieldLengths[2] + ")";
        
        // SOFTWARE TABLE TYPES
        public static final String dBSoftColPrimaryTp = " varchar(" + softwareFieldLengths[0] + ")";
        public static final String dBSoftColNameTp = " varchar(" + softwareFieldLengths[1] + ")";
        public static final String dBSoftColDescTp = " longvarchar(" + softwareFieldLengths[2] + ")";
        public static final String dBSoftColFileNameTp = " varchar(" + softwareFieldLengths[3] + ")";
        public static final String dBSoftColTypeTp = " varchar(" + softwareFieldLengths[4] + ")";
        public static final String dBSoftColMultiTp = " varchar(" + softwareFieldLengths[5] + ")";
        public static final String dBSoftColLocTp = " varchar(" + softwareFieldLengths[5] + ")";
        public static final String dBSoftColDisposeTp = " varchar(" + softwareFieldLengths[7] + ")";
        
        // MP3 TABLE TYPES
        public static final String dBMP3ColPrimaryTp = " varchar(" + mp3FieldLengths[0] + ")";
        public static final String dBMP3ColFileNameTp = " varchar(" + mp3FieldLengths[1] + ")";
        public static final String dBMP3ColTitleTp = " varchar(" + mp3FieldLengths[2] + ")";
        public static final String dBMP3ColArtistTp = " varchar(" + mp3FieldLengths[3] + ")";
        public static final String dBMP3ColAlbumTp = " varchar(" + mp3FieldLengths[4] + ")";
        public static final String dBMP3ColYearTp = " varchar(" + mp3FieldLengths[5] + ")";
        public static final String dBMP3ColGenreTp = " varchar(" + mp3FieldLengths[6] + ")";
        public static final String dBMP3ColLengthTp = " varchar(" + mp3FieldLengths[7] + ")";
        public static final String dBMP3ColQualityTp = " integer";
        public static final String dBMP3ColLocationTp = " varchar(" + mp3FieldLengths[9] + ")";
        public static final String dBMP3ColDisposeTp = " varchar(" + mp3FieldLengths[10] + ")";
        
        // Movie TABLE TYPES
        public static final String dBMovieColPrimaryTp = " varchar(" + movieFieldLengths[0] + ")";
        public static final String dBMovieColTitleTp = " varchar(" + movieFieldLengths[1] + ")";
        public static final String dBMovieColDescTp = " longvarchar(" + movieFieldLengths[2] + ")";
        public static final String dBMovieColWebpageTp = " varchar(" + movieFieldLengths[3] + ")";
        public static final String dBMovieColGenreTp = " varchar(" + movieFieldLengths[4] + ")";
        public static final String dBMovieColActorsTp = " varchar(" + movieFieldLengths[5] + ")";
        public static final String dBMovieColDirectorTp = " varchar(" + movieFieldLengths[6] + ")";
        public static final String dBMovieColCountryTp = " varchar(" + movieFieldLengths[7] + ")";
        public static final String dBMovieColYearTp = " varchar(" + movieFieldLengths[8] + ")";
        public static final String dBMovieColPlayLengthTp = " integer";
        public static final String dBMovieColFileNameTp = " varchar(" + movieFieldLengths[10] + ")";
        public static final String dBMovieColLocationTp = " varchar(" + movieFieldLengths[11] + ")";
        public static final String dBMovieColKeepTp = " varchar(" + movieFieldLengths[11] + ")";
        
        public static final String[] dbCatArrayCreate = {
            dBCatColID + dBCatColIDTp,
            dBCatColName + dBCatColNameTp,
            dBCatColDisp + dBCatColDispTp };
        
        public static final String[] dbSoftArrayCreate = {
            dBSoftColPrimary + dBSoftColPrimaryTp,
            dBSoftColName + dBSoftColNameTp,
            dBSoftColDesc + dBSoftColDescTp,
            dBSoftColFileName + dBSoftColFileNameTp,
            dBSoftColType + dBSoftColTypeTp,
            dBSoftColMulti + dBSoftColMultiTp,
            dBSoftColLoc + dBSoftColLocTp,
            dBSoftColDispose + dBSoftColDisposeTp };
        
        public static final String[] dbMP3ArrayCreate = {
            dBMP3ColPrimary + dBMP3ColPrimaryTp,
            dBMP3ColFileName + dBMP3ColFileNameTp,
            dBMP3ColTitle + dBMP3ColTitleTp,
            dBMP3ColArtist + dBMP3ColArtistTp,
            dBMP3ColAlbum + dBMP3ColAlbumTp,
            dBMP3ColYear + dBMP3ColYearTp,
            dBMP3ColGenre + dBMP3ColGenreTp,
            dBMP3ColLength + dBMP3ColLengthTp,
            dBMP3ColQuality + dBMP3ColQualityTp,
            dBMP3ColLocation + dBMP3ColLocationTp,
            dBMP3ColDispose + dBMP3ColDisposeTp};
        
        public static final String[] dbMovieArrayCreate = {
            dBMovieColPrimary + dBMovieColPrimaryTp,
            dBMovieColTitle + dBMovieColTitleTp,
            dBMovieColDesc + dBMovieColDescTp,
            dBMovieColWebpage + dBMovieColWebpageTp,
            dBMovieColGenre + dBMovieColGenreTp,
            dBMovieColActors + dBMovieColActorsTp,
            dBMovieColDirector + dBMovieColDirectorTp,
            dBMovieColCountry + dBMovieColCountryTp,
            dBMovieColYear + dBMovieColYearTp,
            dBMovieColPlayLength + dBMovieColPlayLengthTp,
            dBMovieColFileName + dBMovieColFileNameTp,
            dBMovieColLocation + dBMovieColLocationTp,
            dBMovieColKeep + dBMovieColKeepTp};
        
        
        public static final String[] dbDemoDataCatagories = {
            "insert into"
                + dBCatTableName
                + "values ('10001', '3D Shooter', 'Yes');",
            "insert into"
                + dBCatTableName
                + "values ('10002', 'Vechtspel', 'Yes');",
            "insert into"
                + dBCatTableName
                + "values ('10003', 'Editor', 'Yes');",
            "insert into"
                + dBCatTableName
                + "values ('10004', 'Puzzle', 'Yes');",
            "insert into"
                + dBCatTableName
                + "values ('10005', 'Platform', 'Yes');",
            "insert into"
                + dBCatTableName
                + "values ('10006', 'OS', 'Yes');",
            "insert into"
                + dBCatTableName
                + "values ('10007', 'Strategy', 'Yes');",
            "insert into"
                + dBCatTableName
                + "values ('10016', 'Muziek', 'Yes');",
            "insert into"
                + dBCatTableName
                + "values ('10017', 'Internet', 'Yes');"};
        
        public static final String[] dBDemoDataSoftware = {
            "insert into"
                + dBSoftTableName
                + "values ('1', 'Office 97', 'Editor created by Microsoft', 'Off97.zip','10003', 'No', 'CD1', 'Yes');",
            "insert into"
                + dBSoftTableName
                + "values ('2', 'Windows XP', 'Operating system from Microsoft', 'WinXP.zip', '10006', 'Yes', 'CD2', 'Yes');",
            "insert into"
                + dBSoftTableName
                + "values ('3', 'Doom2', 'Shooter from ID', 'Doom2.zip', '10001', 'Yes', 'CD3', 'Yes');",
            "insert into"
                + dBSoftTableName
                + "values ('4', 'Internet Explorer', 'Internet browser from Microsoft', 'Explorer.zip', '10017', 'No', 'CD4', 'Yes');"
                 };
                }
        
    public static final class sql {
        public static final String[] predefinedQueries = {
            "Delete from"
                + dataBase.dBSoftTableName
                + "where "
                + dataBase.dBSoftColDispose
                + " = 'No'",
            "Delete from"
                + dataBase.dBCatTableName
                + "where "
                + dataBase.dBCatColDisp
                + " = 'No'",
            "Select COUNT("
                + dataBase.dBSoftColPrimary
                + ")AS AMOUNT from"
                + dataBase.dBSoftTableName,
            "Select COUNT("
                + dataBase.dBSoftColPrimary
                + ")AS AMOUNT from"
                + dataBase.dBCatTableName,
            "Select DISTINCT "
                + dataBase.dBSoftColType
                + " from"
                + dataBase.dBSoftTableName,
            "Select DISTINCT "
                + dataBase.dBSoftColName
                + " from"
                + dataBase.dBSoftTableName,
            "Select "
                + "*"
                + " from"
                + dataBase.dBMP3TableName
                + "where "
                + dataBase.dBMP3ColQuality
                + " >= 128 "
                + "order by "
                + dataBase.dBMP3ColQuality,
            "Select * from"
                + dataBase.dBMP3TableName
                + "where "
                + dataBase.dBMP3ColQuality
                + " < 128 "
                + "order by "
                + dataBase.dBMP3ColQuality,
            "Select * from"
                + dataBase.dBMP3TableName
                + "where "
                + dataBase.dBMP3ColDispose
                + " = 'No'",
            "Delete * from"
                + dataBase.dBMP3TableName
                + "where "
                + dataBase.dBMP3ColDispose
                + " = 'No'",
            "Update "
                + dataBase.dBMP3TableName
                + "set "
                + dataBase.dBMP3ColDispose
                + " = 'No' "
                + "where "
                + dataBase.dBMP3ColQuality
                + " < 128 "
                };
    }
}
