package rjw.dc.db;

import java.util.LinkedList;

import rjw.dc.core.objects.RequestorCollection;

public class QueryBatch {

    private LinkedList lQueries;
    private RequestorCollection requestors = new RequestorCollection();
    
    public QueryBatch() {
        lQueries = new LinkedList();
    }

    public void setRequestors(RequestorCollection requestors) {
        this.requestors = requestors;
    }

    public RequestorCollection getRequestors() {
        return requestors;
    }
    
    public void addQuery(Query query) throws Exception {
        if (query.getQueryType() != query._INSERT &&
            query.getQueryType() != query._UPDATE) {
            throw new Exception("Query type not allowed!");        
        } else {
            lQueries.addLast(query);
        }
    }    
    
    public Query[] getQueries() {
        Query[] queries = new Query[lQueries.size()];
        
        int i = 0;
        while (!lQueries.isEmpty()) {
            queries[i] = (Query) lQueries.removeFirst();
            i++;
        }
        return queries;
    }
}