/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   * 
 *                           sub-project: Utilites                            *
 *                       (c) 2003 Robert-Jan van der Waals                    *
 *                             rwaals@anytimenow.com                          *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package rjw.dc.util;

import java.util.Enumeration;
import java.util.Vector;

/**
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version LCD0.01
 */
public class Converter {

    public static String databaseValueConverter(String value) {
        String sValue = value;
        try {
            byte[] byties = sValue.getBytes("UTF8");
            sValue = new String(byties);
        } catch (Exception exp) {
            exp.printStackTrace();
        }

        while (sValue.indexOf('\u0000') > -1) {
            int test = sValue.indexOf('\u0000');
            if (test == 0) {
                sValue = " " + sValue.substring(1, sValue.length());
            } else if (test == sValue.length()) {
                sValue = sValue.substring(0, sValue.length() - 1) + " ";
            } else if (test > 0) {
                sValue =
                    sValue.substring(0, test)
                        + " "
                        + sValue.substring(test + 1, sValue.length());
            }
        }

        while (sValue.indexOf("'") >= 0) {
            int test = sValue.indexOf("'");
            if (test == 0) {
                sValue = "`" + sValue.substring(1, sValue.length());
            } else if (test == sValue.length()) {
                sValue = sValue.substring(0, sValue.length() - 1) + "`";
            } else if (test > 0) {
                sValue = sValue.substring(0, test) + "`" + sValue.substring(test + 1, sValue.length());
            }
        }

        while (sValue.indexOf('>') > -1) {
            int test = sValue.indexOf('>');
            if (test == 0) {
                sValue = " " + sValue.substring(1, sValue.length());
            } else if (test == sValue.length()) {
                sValue = sValue.substring(0, sValue.length() - 1) + " ";
            } else if (test > 0) {
                sValue =
                    sValue.substring(0, test)
                        + " "
                        + sValue.substring(test + 1, sValue.length());
            }
        }
        return sValue;
    }

    public static String deleteEntersFromString(String sValue) {
        while (sValue.indexOf('\n') > -1) {
            int test = sValue.indexOf('\n');
            if (test == 0) {
                sValue = " " + sValue.substring(1, sValue.length());
            } else if (test == sValue.length()) {
                sValue = sValue.substring(0, sValue.length() - 1) + " ";
            } else if (test > 0) {
                sValue =
                    sValue.substring(0, test)
                        + " "
                        + sValue.substring(test + 1, sValue.length());
            }
        }
        return sValue;
    }

    public static Vector stringArrayToVector(String[] stringArray) {
        Vector vect = new Vector();
        if (stringArray == null) {
            return null;
        }

        for (int i = 0; i < stringArray.length; i++) {
            if (stringArray[i] != null) {
                vect.addElement(stringArray[i]);
            }
        }
        return vect;
    }

    public static String[] vectorToStringArray(Vector vect) {
        String[] stringArray = new String[vect.size()];
        Enumeration enum = vect.elements();
        int count = 0;

        while (enum.hasMoreElements()) {
            stringArray[count] = enum.nextElement().toString();
            count++;
            if (count > stringArray.length) {
                break;
            }
        }
        return stringArray;
    }
}
