/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   * 
 *                           sub-project: Utilites                            *
 *                       (c) 2003 Robert-Jan van der Waals                    *
 *                             rwaals@anytimenow.com                          *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package rjw.dc.util;

import java.io.File;
import java.util.Vector;


/**
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version LCD0.01
 */
public class DirectoryReader {

    public static Vector read(String sLocation, boolean bLeveledSearch, boolean bDirs, String searchString) throws Exception {
        Vector	result		= new Vector();
        File	directory	= new File(sLocation);

        if (!directory.exists()) {
            return null;
        }

        boolean bCrit	= false;
        if (searchString != null) {
            if (!searchString.trim().equals(new String(""))) {
                bCrit = true;
            }
        }

        Vector	rawData     = Converter.stringArrayToVector(directory.list());
        File	tempFile	= null;

        while (rawData.size() > 0) {
            String  sCurrent    = rawData.firstElement().toString();
            tempFile		= new File(sLocation + "\\" + sCurrent);
            if (tempFile.isDirectory()) {
                String[]	list	= tempFile.list();
                if (list != null) {
                    for (int j = 0; j < list.length; j++) {
                        String sValue = sCurrent + "\\" + list[j];
                        if (!rawData.contains(sValue)) {
                            tempFile = new File(sLocation + "\\" + sValue);
                            if (tempFile.isDirectory()) {
                                rawData.addElement(sValue);
                                if (bDirs && criteriumApplied(sValue, searchString)) {
                                    result.addElement(sLocation + "\\" +  sValue);
                                }
                            } else {
                                if (bCrit && criteriumApplied(sValue, searchString)) {
                                    result.addElement(sLocation + "\\" +  sValue);
                                }
                            }
                        }
                    }
                }
            } else {
                String sValue = sLocation + "\\" + sCurrent;
                if (bCrit && criteriumApplied(sValue, searchString)) {
                    result.addElement(sValue);
                }
            }

            rawData.removeElementAt(0);

            if (!bLeveledSearch) {
                return result;
            }
        }
        return result;
    }

    private static boolean criteriumApplied(String sValue, String sSearchString) {
        return sValue.indexOf(sSearchString) > -1;
    }
}