package rjw.dc.util;

import java.util.Hashtable;

public class Resources {
    private static Hashtable lblResModules;

    static {
	try {
	    lblResModules = new Hashtable();
	} catch (Throwable t) {
	    t.printStackTrace();
	}
    }

    public static void addTextResourceBundle(ModularResourceBundle rb) {
    	String acronym = rb.getAcronym();

    	if(lblResModules.containsKey(acronym)) {
    	    throw new RuntimeException("Resource acronym already exists");
    	}

    	lblResModules.put(acronym, rb);
    }

    public static void removeTextResourceBundle(String acronym) {
    	if(!lblResModules.containsKey(acronym)) {
    	    throw new RuntimeException("Resource acronym does not exists");
    	}

    	lblResModules.remove(acronym);
    }

    public static boolean isTextResourceBundleRegistered(String acronym) {
    	return lblResModules.containsKey(acronym);
    }

    public static String getText(String id) {
    	return getText(id, (String[])null);
    }

    public static String getText(String id, String param1) {
    	return getText(id, new String[] {param1});
    }

    public static String getText(String id, String param1, String param2) {
    	return getText(id, new String[] {param1, param2});
    }

    public static String getText(String id, String param1, String param2, String param3) {
    	return getText(id, new String[] {param1, param2, param3});
    }

    public static String getText(String id, String[] params) {
    	String acronym = id.substring(0, 3);
    	ModularResourceBundle rs = (ModularResourceBundle)lblResModules.get(acronym);
    	String lbl =  rs.getString(id);
    	return params == null ? lbl : insertParams(lbl, params);
    }

    private static String insertParams(String s, String[] params) {
    	String result = s;
    	for (int i = 1; i - 1 < params.length; i++) {
    	    String searchPat = "%" + i;
    	    int index = 0;
    	    boolean escapedPatFound = false;
    
    	    do {
        		index = result.indexOf(searchPat, index);
        		if(index < 0) {
        		    throw new RuntimeException("Make sure we do not create recurive calls!!");
        		} else {
        		    escapedPatFound = (index > 0 &&
        			                   result.charAt(index - 1) == '\\');
        		}
    	    } while(escapedPatFound);
    	
            StringBuffer sb = new StringBuffer(result);
    	    sb.replace(index, index+searchPat.length(), params[i -1]);
    	    result = sb.toString();
    	}
    	return result;
    }
}
